Skip to main content

Stream real-time updates

GET 
/sse/notifications/message-update

Use the Indeed Real-time API to stream real-time server-sent events (SSE).

To filter the response by event types, specify a comma-separated list of event types in the eventTypes query parameter. By default, the API streams all events.

The client-defined eventTypes are different from Indeed Real-time API events.

The message event includes:

  • A unique UUID for deduplication.
  • The client-defined eventType to filter events.
  • An optional payload field for arbitrary data.

Request

Query Parameters

    eventTypes string

    Comma-separated list of event types to stream. By default, the API streams all events.

Responses

A stream of server-sent events.

Schema

    event string

    Event field of the ServerSentEvent, such as heartbeat or connection-metadata.

    data

    object

    uuid uuid

    Unique ID for deduplication. This UUID contains an encoded timestamp that measures end-to-end latency.

    eventType string

    Client-defined event type to filter events.

    payload stringnullable

    Optional. Client-specified JSON object, serialized as a string, with additional information about the event.

    eventTime int64nullable

    Timestamp when the event occurred, in milliseconds since epoch. Default is the time when the event was triggered.

Loading...

Was this page helpful?